<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hssf.record.aggregates (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hssf.record.aggregates (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/cf/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.hssf.record.aggregates</h1>
    <div class="docSummary">
        <div class="block">record aggregates are not real "records" but collections of records that act as a single
            record.
        </div>
    </div>
    <p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                            title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/CFRecordsAggregate.html"
                            title="class in org.apache.poi.hssf.record.aggregates">CFRecordsAggregate</a></td>
                    <td class="colLast">
                        <div class="block">CFRecordsAggregate - aggregates Conditional Formatting records CFHeaderRecord
                            and number of up CFRuleRecord records together to simplify access to them.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/ChartSubstreamRecordAggregate.html"
                            title="class in org.apache.poi.hssf.record.aggregates">ChartSubstreamRecordAggregate</a>
                    </td>
                    <td class="colLast">
                        <div class="block">Manages the all the records associated with a chart sub-stream.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html"
                            title="class in org.apache.poi.hssf.record.aggregates">ColumnInfoRecordsAggregate</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/ConditionalFormattingTable.html"
                            title="class in org.apache.poi.hssf.record.aggregates">ConditionalFormattingTable</a></td>
                    <td class="colLast">
                        <div class="block">Holds all the conditional formatting for a workbook sheet.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/CustomViewSettingsRecordAggregate.html"
                            title="class in org.apache.poi.hssf.record.aggregates">CustomViewSettingsRecordAggregate</a>
                    </td>
                    <td class="colLast">
                        <div class="block">Manages the all the records associated with a 'Custom View Settings'
                            sub-stream.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/DataValidityTable.html"
                            title="class in org.apache.poi.hssf.record.aggregates">DataValidityTable</a></td>
                    <td class="colLast">
                        <div class="block">Manages the DVALRecord and DVRecords for a single sheet</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html"
                            title="class in org.apache.poi.hssf.record.aggregates">FormulaRecordAggregate</a></td>
                    <td class="colLast">
                        <div class="block">The formula record aggregate is used to join together the formula record and
                            it's
                            (optional) string record and (optional) Shared Formula Record (template reads, excel
                            optimization).
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/MergedCellsTable.html"
                            title="class in org.apache.poi.hssf.record.aggregates">MergedCellsTable</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html"
                            title="class in org.apache.poi.hssf.record.aggregates">PageSettingsBlock</a></td>
                    <td class="colLast">
                        <div class="block">Groups the page settings records for a worksheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                            title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate</a></td>
                    <td class="colLast">
                        <div class="block"><tt>RecordAggregate</tt>s are groups of of BIFF <tt>Record</tt>s that are
                            typically stored
                            together and/or updated together.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.PositionTrackingVisitor.html"
                            title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate.PositionTrackingVisitor</a>
                    </td>
                    <td class="colLast">
                        <div class="block">A wrapper for <a
                                href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                title="interface in org.apache.poi.hssf.record.aggregates"><code>RecordAggregate.RecordVisitor</code></a>
                            which accumulates the sizes of all
                            records visited.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html"
                            title="class in org.apache.poi.hssf.record.aggregates">RowRecordsAggregate</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                            title="class in org.apache.poi.hssf.record.aggregates">SharedValueManager</a></td>
                    <td class="colLast">
                        <div class="block">Manages various auxiliary records while constructing a
                            <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html"
                               title="class in org.apache.poi.hssf.record.aggregates"><code>RowRecordsAggregate</code></a>:

                            <a href="../../../../../../org/apache/poi/hssf/record/SharedFormulaRecord.html"
                               title="class in org.apache.poi.hssf.record"><code>SharedFormulaRecord</code></a>s
                            <a href="../../../../../../org/apache/poi/hssf/record/ArrayRecord.html"
                               title="class in org.apache.poi.hssf.record"><code>ArrayRecord</code></a>s
                            <a href="../../../../../../org/apache/poi/hssf/record/TableRecord.html"
                               title="class in org.apache.poi.hssf.record"><code>TableRecord</code></a>s
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html"
                            title="class in org.apache.poi.hssf.record.aggregates">ValueRecordsAggregate</a></td>
                    <td class="colLast">
                        <div class="block">Aggregate value records together.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/WorksheetProtectionBlock.html"
                            title="class in org.apache.poi.hssf.record.aggregates">WorksheetProtectionBlock</a></td>
                    <td class="colLast">
                        <div class="block">Groups the sheet protection records for a worksheet.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
    <a name="package.description">
        <!--   -->
    </a>
    <h2 title="Package org.apache.poi.hssf.record.aggregates Description">Package org.apache.poi.hssf.record.aggregates
        Description</h2>
    <div class="block">record aggregates are not real "records" but collections of records that act as a single record.
        This is an optimization basically.

        <h2>Related Documentation</h2>

        For overviews, tutorials, examples, guides, and tool documentation, please see:
        <ul>
            <li><a href="http://poi.apache.org">Apache POI Project</a>
        </ul>

        <!-- Put @see and @since tags down here. --></div>
    <dl>
        <dt><span class="seeLabel">See Also:</span></dt>
        <dd>
            <a href="../../../../../../org/apache/poi/hssf/record/package-summary.html"><code>org.apache.poi.hssf.record</code></a>,
            <a href="../../../../../../org/apache/poi/hssf/eventmodel/package-summary.html"><code>org.apache.poi.hssf.eventmodel</code></a>,
            <a href="../../../../../../org/apache/poi/hssf/record/RecordFactory.html"
               title="class in org.apache.poi.hssf.record"><code>RecordFactory</code></a></dd>
    </dl>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/cf/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
